#include <stdio.h>
#define PRINT quine, 10, print, 10, 92, 10, 92, 10, 92, 10, 92, 10, 92, 10, 34, quine, 34, 92, 10, 92, 10, 92, 10, 10, 10, 10, 10
#define FT(...) int main(){\
	/*\
		comment\
	*/\
	char *print = #__VA_ARGS__;\
	char *quine = "#include <stdio.h>%c#define PRINT %s%c#define FT(...) int main(){%c%c	/*%c%c		comment%c%c	*/%c%c	char *print = #__VA_ARGS__;%c%c	char *quine = %c%s%c;%c%c	printf(PRINT);%c%c	return 0;%c%c}%c#define FFT(...) FT(__VA_ARGS__)%c%cFFT(PRINT)%c";\
	printf(PRINT);\
	return 0;\
}
#define FFT(...) FT(__VA_ARGS__)

FFT(PRINT)
